﻿using System.Collections.Generic;

namespace ChainOfCommandSample
{
    /// <summary>
    /// Simple program to test the wiring.
    /// </summary>
    internal class Program
    {
        private static void Main(string[] args)
        {
            List<Command> commands = CommandChainFactory.Create();

            // Execute each command.
            foreach(Command command in commands)
            {
                command.Execute();
            }
        }
    }
}